#include <amxmodx>

#define PLUGIN "CS Revo: Desativar Models de ADM"
#define VERSION "1.2"
#define AUTHOR "Wilian M."

#define PREFIX "\r[\dCSRevo\r]"
#define PREFIXCHAT "!t[!gCSRevo!t]"

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	register_say("models", "xMenuModels")
	register_say("model", "xMenuModels")
}

public client_putinserver(id)
{
	if(!is_user_bot(id))
		set_task(3.0, "xMenuModels", id)
}

public xMenuModels(id)
{
	new szmenu[128]
	
	formatex(szmenu, 127, "%s \wVocê deseja \rDESATIVAR \wmodels de ADM?", PREFIX)
	
	new menu = menu_create(szmenu, "_xMenuModels")
	
	menu_additem(menu, "Sim", "0")
	menu_additem(menu, "Não", "1")
	
	menu_setprop(menu, MPROP_EXITNAME, "Sair")
	menu_display(id, menu, 0)
}

public _xMenuModels(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu); return PLUGIN_HANDLED;
	}
	
	switch(item)
	{
		case 0:
		{
			client_cmd(id, "cl_minmodels 1")
			client_print_color(id, print_team_default, "%s ^1Você ^4DESATIVOU ^1models de admin, digite ^3/models ^1para ATIVAR.", PREFIXCHAT)
		}
		case 1:
		{
			client_cmd(id, "cl_minmodels 0")
			client_print_color(id, print_team_default, "%s ^1Você ^4ATIVOU ^1models de admin, digite ^3/models ^1para DESATIVAR.", PREFIXCHAT)
		}
	}
	
	return PLUGIN_HANDLED
}

stock register_say(szSay[], szFunction[])
{
	new szTemp[64]
	formatex(szTemp, 63 , "say /%s", szSay)
	register_clcmd(szTemp, szFunction)
	
	formatex(szTemp, 63 , "say .%s", szSay)
	register_clcmd(szTemp, szFunction)
	
	formatex( szTemp, 63 , "say_team /%s", szSay)
	register_clcmd(szTemp, szFunction )
	
	formatex( szTemp, 63 , "say_team .%s", szSay)
	register_clcmd(szTemp, szFunction)
}